import { ResourceProps } from 'aws-cdk-lib';
import { IBucket } from 'aws-cdk-lib/aws-s3';
import { Construct } from 'constructs';
import { NamedQuery } from '../athena';
import { Database, Table } from '../glue';
/**
 * Configuration for AlbLogsTable
 */
export interface AlbLogsTableProps extends ResourceProps {
    readonly bucket: IBucket;
    readonly createQueries?: boolean;
    readonly database: Database;
    readonly friendlyQueryNames?: boolean;
    readonly name?: string;
    readonly s3Prefix?: string;
}
export declare class AlbLogsTable extends Table {
    readonly createQueries: boolean;
    readonly friendlyQueryNames: boolean;
    readonly status5xxNamedQuery?: NamedQuery;
    readonly topIpsNamedQuery?: NamedQuery;
    /**
       * Creates a new instance of the AlbLogsTable class.
       *
       * @param scope A CDK Construct that will serve as this stack's parent in the construct tree.
       * @param id A name to be associated with the stack and used in resource naming. Must be unique
       * within the context of 'scope'.
       * @param props Arguments related to the configuration of the resource.
       */
    constructor(scope: Construct, id: string, props: AlbLogsTableProps);
}
